> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Product Store Csv



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json post /v1/imports/product_store
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/imports/product_store:
    post:
      tags:
        - imports
      summary: Import Product Store Csv
      operationId: import_product_store_csv_v1_imports_product_store_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_import_product_store_csv_v1_imports_product_store_post
        required: true
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobHandle'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_import_product_store_csv_v1_imports_product_store_post:
      properties:
        file:
          type: string
          format: binary
          title: File
      type: object
      required:
        - file
      title: Body_import_product_store_csv_v1_imports_product_store_post
    JobHandle:
      properties:
        job_id:
          type: string
          format: uuid
          title: Job Id
      additionalProperties: false
      type: object
      required:
        - job_id
      title: JobHandle
      description: |-
        Minimal handle returned by async enqueue endpoints.

        The full job status is fetched separately via ``GET /v1/jobs/{id}``.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````